Page MenuHomePhabricator

More scalable database backend
Closed, ResolvedPublic

Description

With recent large data imports and given the low performance of Wikimedia servers we need to reconsider the datamodel for more scalable service. I have made good experiences with LevelDB, so it might be worthwhile migrating to it as backend. But this would probably mean less flexibility in data analysis.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 1:09 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 22 2017, 4:54 PM
Hjfocs closed this task as Resolved.May 23 2018, 2:14 PM
Hjfocs moved this task from To do to Done on the Wikidata-primary-sources board.
Hjfocs claimed this task.
Hjfocs added a subscriber: Hjfocs.

The back end was completely rewritten in version 2.
It is now a Wikidata query service module: https://github.com/marfox/pst-backend